summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLin2015-06-16 21:30:34 +0800
committerLin2015-06-16 21:30:34 +0800
commit4d0a31be277a0b720ab5ff0d99cfcd0d45099c9f (patch)
tree71d279c5dd2eca7bed1fa3483e51c1e9ca5dd1e5
downloadaur-4d0a31be277a0b720ab5ff0d99cfcd0d45099c9f.tar.gz
Initial import
-rw-r--r--.SRCINFO20
-rw-r--r--PKGBUILD33
2 files changed, 53 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..bfb9c0eb537
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,20 @@
+pkgbase = supybot-git
+ pkgdesc = A cross-platform IRC bot written in Python
+ pkgver = 0.83.4.1.7089.6f925e5
+ pkgrel = 1
+ url = http://sourceforge.net/projects/supybot/
+ arch = i686
+ arch = x86_64
+ license = 3-clause BSD
+ makedepends = git
+ depends = python2>=2.5
+ depends = python2-pysqlite-legacy
+ depends = python2-twisted
+ optdepends = python2-pyopenssl: SSL server support
+ provides = supybot
+ conflicts = supybot
+ source = git://supybot.git.sourceforge.net/gitroot/supybot/supybot
+ md5sums = SKIP
+
+pkgname = supybot-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..4beb98a19e2
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,33 @@
+#Contributor: LinkMaster03 linkmaster032000 at gmail dot com
+#Fixed by Cravix ( dr dot neemous at gmail dot com )
+pkgname=supybot-git
+_pkgname=supybot
+pkgver=0.83.4.1.7089.6f925e5
+pkgrel=1
+pkgdesc="A cross-platform IRC bot written in Python"
+arch=('i686' 'x86_64')
+url="http://sourceforge.net/projects/supybot/"
+license=('3-clause BSD')
+depends=('python2>=2.5' 'python2-pysqlite-legacy' 'python2-twisted')
+optdepends=('python2-pyopenssl: SSL server support')
+conflicts=('supybot')
+provides=('supybot')
+makedepends=('git')
+source=("git://$_pkgname.git.sourceforge.net/gitroot/$_pkgname/$_pkgname")
+md5sums=('SKIP')
+pkgver() {
+ cd "$srcdir/$_pkgname"
+ echo $(awk -F"['+]" '/version/ {print $2} ' src/version.py).$(git rev-list --count HEAD).$(git rev-parse --short HEAD)
+}
+build() {
+ cd "$srcdir/$_pkgname"
+
+ python2 setup.py build
+}
+
+package() {
+ cd "$srcdir/$_pkgname"
+ python2 setup.py install --root="$pkgdir"
+ mkdir -p "$pkgdir/usr/share/licenses/$_pkgname/"
+ install -m644 LICENSE "$pkgdir/usr/share/licenses/$_pkgname/" || return 1
+}